package org.dromara.system.service;

import org.dromara.system.domain.TblDzbcPathSite;
import org.dromara.system.domain.bo.TblDzbcPathSiteBo;
import org.dromara.system.domain.vo.TblDzbcPathSiteVo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

public interface ITblDzbcPathSiteService {

    TblDzbcPathSiteVo queryById(Long id);

    TableDataInfo<TblDzbcPathSiteVo> queryPageList(TblDzbcPathSiteBo bo, PageQuery pageQuery);

    List<TblDzbcPathSiteVo> queryList(TblDzbcPathSiteBo bo);

    List<TblDzbcPathSiteVo> queryByPathId(Long pathId);

    Boolean insertByBo(TblDzbcPathSiteBo bo);

    Boolean updateByBo(TblDzbcPathSiteBo bo);

    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
